<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />

    <uses-feature
        android:name="android.hardware.camera"
        android:required="true" />

    <application
        android:name=".MyApplication"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/loge"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.DefenseApplication">
        <activity
            android:name=".personal.InvitationCodeActivity"
            android:exported="false" />
        <activity
            android:name=".liveVideo.StrikePositionActivity"
            android:exported="false" />
        <activity
            android:name=".personal.FaceManagementActivity"
            android:exported="false" />
        <activity
            android:name=".personal.OperationPasswordActivity"
            android:exported="false" />
        <activity
            android:name=".personal.RetrievePasswordActivity"
            android:exported="false" />
        <activity
            android:name=".personal.LoginPasswordActivity"
            android:exported="false" />
        <activity
            android:name=".personal.PasswordManagementActivity"
            android:exported="false" />
        <activity
            android:name=".liveVideo.UserDetailsActivity"
            android:exported="false" />
        <activity
            android:name=".home.ConnectDeviceActivity"
            android:exported="false" />
        <activity
            android:name=".liveVideo.AddLinkedUserActivity"
            android:exported="false" />
        <activity
            android:name=".liveVideo.WiFiManagementActivity"
            android:exported="false" />
        <activity
            android:name=".liveVideo.LinkedUserActivity"
            android:exported="false" />
        <activity
            android:name=".liveVideo.DeviceInfoActivity"
            android:exported="false" />
        <activity
            android:name=".liveVideo.AutoModeActivity"
            android:exported="false" />
        <activity
            android:name=".liveVideo.WaterGunSettingsActivity"
            android:exported="false" />
        <activity
            android:name=".liveVideo.WarningVoiceContentActivity"
            android:exported="false" />
        <activity
            android:name=".liveVideo.VoiceSettingsActivity"
            android:exported="false" />
        <activity
            android:name=".liveVideo.AlarmLogActivity"
            android:exported="false" />
        <activity
            android:name=".liveVideo.SettingsActivity"
            android:exported="false" />
        <activity
            android:name=".liveVideo.LiveVideoActivity"
            android:exported="false" />
        <activity
            android:name=".home.SetNameActivity"
            android:exported="false" />
        <activity
            android:name=".home.AddFamilyActivity"
            android:exported="false" />
        <activity
            android:name=".home.AddDeviceActivity"
            android:exported="false" />
        <activity
            android:name=".personal.PersonalProfileActivity"
            android:exported="false" />
        <activity
            android:name=".home.MessageActivity"
            android:exported="false" />
        <activity
            android:name=".home.HomeActivity"
            android:exported="false"/>
        <activity
            android:name=".login.RegisterSuccessActivity"
            android:exported="false" />
        <activity
            android:name=".login.FaceVerificationActivity"
            android:exported="false" />
        <activity
            android:name=".login.FaceLoginActivity"
            android:exported="false" />
        <activity
            android:name=".login.ForgetPasswordActivity"
            android:exported="false" />
        <activity
            android:name=".login.RegisterActivity"
            android:exported="false" />
        <activity
            android:name=".login.LoginActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>
    </application>

</manifest>